- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# Preferences::Integer Class Reference

This reference page is linked to from the following overview topics: Application-Level Functionality.

Search for all occurrences

## Detailed Description

This class holds a simple integer preference.

This class can be used by a plugin to declare a single integer preference. The object should be declared as a global variable or as a static member variable. If a valid name is given to the object it will autoatically appear in the preferences dialog, and its value will be automatically saved and restored when mudbox quits/restarts. Example:

     Preferences::Integer g_iMaxlevel( "Maximum level", "Render", 4 );

Definition at line 298 of file preferences.h.

`#include <preferences.h>`

List of all members.

## Public Member Functions
| Integer (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, unsigned int iDefaultValue, bool bVisible=true)
| operator unsigned int (void) const
## Public Attributes
aint * | m_pAttribute

## Constructor & Destructor Documentation

Integer | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | unsigned int | iDefaultValue,
|  | bool | bVisible = `true`
| ) |  |

Parameters:

  sName | Name of the item, which will appear in the preferences dialog.
  sCategory | Category of the item, which it belongs to in the preferences dialog. This can be an empty string.
  sNameTr | Name of the item, which will appear in the preferences dialog.
  sCategoryTr | Category of the item, which it belongs to in the preferences dialog. This can be an empty string.
  iDefaultValue | Default value of the item. This is only used the first time when the preference is used, in other cases the value of the preferences will be restored from the general mudbox preference file.
  bVisible | Visibility of the item in the preferences dialog.

## Member Function Documentation

operator unsigned int | ( | void |  | ) | const

## Member Data Documentation

aint* m_pAttribute

Search for all occurrences

Definition at line 310 of file preferences.h.

The documentation for this class was generated from the following file:

- Mudbox/preferences.h

Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer
Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer Preferences::Integer